﻿init python:
    import pygame
    class player_unit(actor, equip, inventory_class):
        def __init__(self, name, x, y):
            actor.__init__(self, name, x, y)
            equip.__init__(self)
            inventory_class.__init__(self, cash = 0, items = [bronze_chestplate], markup = 1.0, bags = [[42, "Backpack"], [4, "Pockets"]])

#---------------------------------------- Hero
define you_sheet = "rpg/01.png"
image You down idle = Crop((32, 0, 32, 32), you_sheet)
image You down walk:
    Crop((0, 0, 32, 32), you_sheet)
    pause .1
    Crop((32, 0, 32, 32), you_sheet)
    pause .1
    Crop((64, 0, 32, 32), you_sheet)
    pause .1
    Crop((32, 0, 32, 32), you_sheet)
    pause .1
    repeat

image You up idle = Crop((32, 96, 32, 32), you_sheet)
image You up walk:
    Crop((0, 96, 32, 32), you_sheet)
    pause .1
    Crop((32, 96, 32, 32), you_sheet)
    pause .1
    Crop((64, 96, 32, 32), you_sheet)
    pause .1
    Crop((32, 96, 32, 32), you_sheet)
    pause .1
    repeat

image You left idle = Crop((32, 32, 32, 32), you_sheet)
image You left walk:
    Crop((0, 32, 32, 32), you_sheet)
    pause .1
    Crop((32, 32, 32, 32), you_sheet)
    pause .1
    Crop((64, 32, 32, 32), you_sheet)
    pause .1
    Crop((32, 32, 32, 32), you_sheet)
    pause .1
    repeat

image You right idle = Crop((32, 64, 32, 32), you_sheet)
image You right walk:
    Crop((0, 64, 32, 32), you_sheet)
    pause .1
    Crop((32, 64, 32, 32), you_sheet)
    pause .1
    Crop((64, 64, 32, 32), you_sheet)
    pause .1
    Crop((32, 64, 32, 32), you_sheet)
    pause .1
    repeat

default player = player_unit(
    "You",
    0,0,

)
default hero = player
#---------------------------------------- NPC

#---------------------------------------- Enemy

#---------------------------------------- Levels
default level_1 = level_class(
    _("Level 1"),
    32,
    ["labyrinth ground", "rpg/level_1.csv"],
    None,
    player = player,
    entrances = [[15,4]],
    exits = [[15, 3, "the_well", 1]]
)
default the_well = level_class(
    _("The well"),
    32,
    ["labyrinth ground", "rpg/the_well.csv"],
    [[4,5,spiked_stick], [6,5,spiked_stick], [4,7,engraved_chestplate], [4,6,wavy_dagger]],
    player = player,
    entrances = [[3,1], [24,8]],
    exits = [[3, 0, "level_2", 0], [24, 9, "level_1", 0]]
)
default level_2 = level_class(
    _("Level 2"),
    32,
    ["labyrinth ground", "rpg/level_2.csv"],
    None,
    player = player,
    entrances = [[2,6], [25,2]],
    exits = [[2, 7, "the_well", 0], [25, 1, "level_3", 0]]
)
default level_3 = level_class(
    _("Level 3"),
    32,
    ["labyrinth ground", "rpg/level_3.csv"],
    None,
    player = player,
    entrances = [[3,9], [25,2]],
    exits = [[3, 10, "level_2", 1], [25, 1, "level_3", 0]]
)

label level_1:
    $ the_well.enter(0)
    show screen level(the_well)
    "Yep"
    "I'm lost!"
    call screen level(the_well)










